Package in.cdac.medinfo.csnotk.csnolib.commons

## Class ConceptDetails

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.commons.ConceptDetails

-     public class ConceptDetails
      extends java.lang.Object

  This class contains all the details related to a particular Concept including the list of descriptions and relationships related to that Concept.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConceptDetails​(java.lang.String conceptid, java.lang.String fsn)` | Parameterized constructor.
    `ConceptDetails​(java.util.List<CompositeDescription> descriptions, java.util.List<Relationship> relationships, java.lang.String fsn, java.lang.String conceptId, java.lang.String definitionStatus, boolean active, java.util.Date effectiveTime, java.lang.String module)` | Parameterized constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getConceptId()` | Returns the SNOMED CT Concept identifier.
    `java.lang.String` | `getDefinitionStatus()` | Returns the definition status of the Concept.
    `java.util.List<CompositeDescription>` | `getDescriptions()` | Returns the descriptions (`CompositeDescription`) corresponding to the Concept.
    `java.util.Date` | `getEffectiveTime()` | Returns the effective time.
    `java.lang.String` | `getFsn()` | Returns the Fully Specified Name(FSN) for the Concept.
    `java.lang.String` | `getModule()` | Returns the module Id.
    `java.util.List<Relationship>` | `getRelationships()` | Returns the relationships (`Relationship`) corresponding to the Concept.
    `boolean` | `isActive()` | Returns the active status of the Concept.
    `void` | `setActive​(boolean active)` | Sets the active status of the concept.
    `void` | `setConceptId​(java.lang.String conceptId)` | Sets the SNOMED CT Concept identifier.
    `void` | `setDefinitionStatus​(java.lang.String definitionStatus)` | Sets the definitionStatus.
    `void` | `setDescriptions​(java.util.List<CompositeDescription> descriptions)` | Sets the descriptions (`CompositeDescription`) corresponding to the Concept.
    `void` | `setEffectiveTime​(java.util.Date effectiveTime)` | Sets the effective time.
    `void` | `setFsn​(java.lang.String fsn)` | Sets the Fully Specified Name(FSN) for the Concept.
    `void` | `setModule​(java.lang.String module)` | Sets the module Id.
    `void` | `setRelationships​(java.util.List<Relationship> relationships)` | Sets the relationships(`Relationship`) corresponding to the Concept.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConceptDetails

          public ConceptDetails​(java.lang.String conceptid,
                                java.lang.String fsn)

      Parameterized constructor.
      Parameters:
        `conceptid` - SNOMED CT Concept identifier.
        `fsn` - Fully Specified Name(FSN) of the Concept.

    - #### ConceptDetails

          public ConceptDetails​(java.util.List<CompositeDescription> descriptions,
                                java.util.List<Relationship> relationships,
                                java.lang.String fsn,
                                java.lang.String conceptId,
                                java.lang.String definitionStatus,
                                boolean active,
                                java.util.Date effectiveTime,
                                java.lang.String module)

      Parameterized constructor
      Parameters:
        `descriptions` - list of `CompositeDescription`s related to the Concept.
        `relationships` - list of `Relationship`s related to the Concept.
        `fsn` - Fully Specified Name(FSN) of the Concept.
        `conceptId` - SNOMED CT Concept identifier.
        `definitionStatus` - definition status of the Concept.
        `active` - active/inactive status of the Concept.
        `effectiveTime` - specifies the inclusive date of the Concept.
        `module` - module Id of the Concept.

  - ### Method Detail

    - #### getDescriptions

          public java.util.List<CompositeDescription> getDescriptions()

      Returns the descriptions (`CompositeDescription`) corresponding to the Concept.
      Returns:
        list of `CompositeDescription`.

    - #### setDescriptions

          public void setDescriptions​(java.util.List<CompositeDescription> descriptions)

      Sets the descriptions (`CompositeDescription`) corresponding to the Concept.
      Parameters:
        `descriptions` - list of `CompositeDescription`.

    - #### getRelationships

          public java.util.List<Relationship> getRelationships()

      Returns the relationships (`Relationship`) corresponding to the Concept.
      Returns:
        list of `Relationship`.

    - #### setRelationships

          public void setRelationships​(java.util.List<Relationship> relationships)

      Sets the relationships(`Relationship`) corresponding to the Concept.
      Parameters:
        `relationships` - list of `Relationship`.

    - #### getFsn

          public java.lang.String getFsn()

      Returns the Fully Specified Name(FSN) for the Concept.
      Returns:
        Fully Specified Name(FSN) for the Concept.

    - #### setFsn

          public void setFsn​(java.lang.String fsn)

      Sets the Fully Specified Name(FSN) for the Concept.
      Parameters:
        `fsn` - Fully Specified Name(FSN) for the Concept.

    - #### getConceptId

          public java.lang.String getConceptId()

      Returns the SNOMED CT Concept identifier.
      Returns:
        SNOMED CT Concept identifier.

    - #### setConceptId

          public void setConceptId​(java.lang.String conceptId)

      Sets the SNOMED CT Concept identifier.
      Parameters:
        `conceptId` - SNOMED CT Concept identifier.

    - #### getDefinitionStatus

          public java.lang.String getDefinitionStatus()

      Returns the definition status of the Concept.
      Returns:
        definitionStatus of the Concept.

    - #### setDefinitionStatus

          public void setDefinitionStatus​(java.lang.String definitionStatus)

      Sets the definitionStatus.
      Parameters:
        `definitionStatus` - `String` value that refers to the definition status of the Concept.

    - #### isActive

          public boolean isActive()

      Returns the active status of the Concept.
      Returns:
        boolean value which is true if status is active and false otherwise.

    - #### setActive

          public void setActive​(boolean active)

      Sets the active status of the concept.
      Parameters:
        `active` - boolean value which is true if status is active and false otherwise.

    - #### getEffectiveTime

          public java.util.Date getEffectiveTime()

      Returns the effective time.
      Returns:
        the effective time (Date) for the concept.

    - #### setEffectiveTime

          public void setEffectiveTime​(java.util.Date effectiveTime)

      Sets the effective time.
      Parameters:
        `effectiveTime` - effective time (Date) of the concept.

    - #### getModule

          public java.lang.String getModule()

      Returns the module Id.
      Returns:
        module Id of the Concept.

    - #### setModule

          public void setModule​(java.lang.String module)

      Sets the module Id.
      Parameters:
        `module` - module Id of the concept.